* [gentoo-commits] repo/gentoo:master commit in: net-misc/taptap/, net-misc/taptap/files/
@ 2025-03-10 1:37 Sam James
0 siblings, 0 replies; only message in thread
From: Sam James @ 2025-03-10 1:37 UTC (permalink / raw
To: gentoo-commits
commit: 31edbdb03c9af9c8de0087a4a2f7b0ee1d519bf3
Author: NHOrus <jy6x2b32pie9 <AT> yahoo <DOT> com>
AuthorDate: Thu Feb 27 17:59:22 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 10 01:36:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31edbdb0
net-misc/taptap: add missing include
Changed build process to lean more on portage infrastructure with
implicit emake rules instead of explicit edo that may be missing
compile or link flags.
Closes: https://bugs.gentoo.org/919877
Closes: https://bugs.gentoo.org/919058
Signed-off-by: NHOrus <jy6x2b32pie9 <AT> yahoo.com>
Closes: https://github.com/gentoo/gentoo/pull/40799
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-misc/taptap/files/taptap-1.0-missing-include.patch | 12 ++++++++++++
.../taptap/{taptap-1.0-r1.ebuild => taptap-1.0-r2.ebuild} | 11 ++++++-----
2 files changed, 18 insertions(+), 5 deletions(-)
diff --git a/net-misc/taptap/files/taptap-1.0-missing-include.patch b/net-misc/taptap/files/taptap-1.0-missing-include.patch
new file mode 100644
index 000000000000..9b8c37b574bb
--- /dev/null
+++ b/net-misc/taptap/files/taptap-1.0-missing-include.patch
@@ -0,0 +1,12 @@
+Add missing include
+https://bugs.gentoo.org/919058
+--- a/taptap.c
++++ b/taptap.c
+@@ -35,6 +35,7 @@
+ #include <unistd.h>
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <string.h>
+ #ifndef __NetBSD__
+ #include <linux/if.h>
+ #include <linux/if_tun.h>
diff --git a/net-misc/taptap/taptap-1.0-r1.ebuild b/net-misc/taptap/taptap-1.0-r2.ebuild
similarity index 64%
rename from net-misc/taptap/taptap-1.0-r1.ebuild
rename to net-misc/taptap/taptap-1.0-r2.ebuild
index 5ea681d0e963..d0353dc3bfec 100644
--- a/net-misc/taptap/taptap-1.0-r1.ebuild
+++ b/net-misc/taptap/taptap-1.0-r2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit edo toolchain-funcs
+inherit toolchain-funcs
DESCRIPTION="Program to link two /dev/net/tun to form virtual ethernet"
HOMEPAGE="https://grumpf.hope-2000.org/"
@@ -13,15 +13,16 @@ S="${WORKDIR}"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~sparc ~x86"
+PATCHES=( "${FILESDIR}/${P}-missing-include.patch" )
src_unpack() {
- cp "${DISTDIR}"/${P}.c ${P}.c || die
+ cp "${DISTDIR}/${P}.c" "${PN}.c" || die
}
src_compile() {
- edo $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o ${PN} ${P}.c
+ emake CC="$(tc-getCC)" "${PN}"
}
src_install() {
- dobin ${PN}
+ dobin "${PN}"
}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2025-03-10 1:38 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-10 1:37 [gentoo-commits] repo/gentoo:master commit in: net-misc/taptap/, net-misc/taptap/files/ Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox